<?php

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities'>".LG('Сообщества')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities&section=show&id=".$comm['ID']."'>".TEXT_ABSOLUTE($comm['NAME'])."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities&section=forum_section&id=".$comm['ID']."'>".LG('Форум')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities&section=forum_section_themes&id=".$section['ID']."'>";
ECHO TEXT_ABSOLUTE($section['NAME'])."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO TEXT_ABSOLUTE($fthem['NAME']);
ECHO "</div>";

IF (POST('ok')){
  
  $err_data = 0;
  
  $name = ADSL(POST('name'));
  $message = ADSL(POST('message'));
  
  IF (STR($name) < 1){
    
    ERROR('Имя не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) > 200){
    
    ERROR('Имя не может быть больше 200 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) < 1){
    
    ERROR('Содержимое не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) > 10000){
    
    ERROR('Содержимое не может быть больше 10000 символов', 'session');
    $err_data = 1;
    
  }
  
  IF ($fthem['MESSAGE'] != $message && DB::GET_COLUMN("SELECT COUNT(*) FROM `COMMUNITIES_FORUM_THEM` WHERE `SECTION_ID` = '".$section['ID']."' AND `MESSAGE` = '".$message."' LIMIT 1") == 1){
    
    ERROR('Тема с таким содержимым уже существует в данном разделе', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/modules/?path=communities&section=forum_them_show&id='.$fthem['ID'].'&get=edit');
    
  }
  
  DB::GET_SET("UPDATE `COMMUNITIES_FORUM_THEM` SET `EDIT_TIME` = '".TIME()."', `EDIT_USER_ID` = '".$user['ID']."', `SECTION_ID` = '".$section['ID']."', `NAME` = '".$name."', `MESSAGE` = '".$message."' WHERE `ID` = '".$fthem['ID']."' LIMIT 1");
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('/modules/?path=communities&section=forum_them_show&id='.$fthem['ID']);
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/modules/?path=communities&section=forum_them_show&id=".$fthem['ID']."&get=edit'>";

ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 200 символов')."):<br />";
HTML::INPUT('name', 'Имя', NULL, NULL, TEXT_ABSOLUTE($fthem['NAME']));

ECHO "<b>".LG('Введите содержание')."</b> (".LG('от 1 до 10000 символов')."):<br />";
HTML::TEXTAREA(TEXT_ABSOLUTE($fthem['MESSAGE']), 'message', 'Описание');

HTML::BUTTON('btn-big ajax-button', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=communities&section=forum_them_show&id=".$fthem['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities'>".LG('Сообщества')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities&section=show&id=".$comm['ID']."'>".TEXT_ABSOLUTE($comm['NAME'])."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities&section=forum_section&id=".$comm['ID']."'>".LG('Форум')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities&section=forum_section_themes&id=".$section['ID']."'>";
ECHO TEXT_ABSOLUTE($section['NAME'])."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO TEXT_ABSOLUTE($fthem['NAME']);
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;

?>